Booting the install system does not always succeed, hence a remote ssh login is not always possible

Bug #1888497 reported by Frank Heimes
20
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Fix Released
High
Canonical Foundations Team
subiquity
Invalid
Undecided
Unassigned
livecd-rootfs (Ubuntu)
Fix Released
Undecided
Unassigned
Focal
Fix Released
Undecided
Unassigned

Bug Description

[impact]
When there is a serial console configured, there was a unit cycle

serial-getty@$TTY.service -> cloud-final.service -> multi-user.target -> getty.target -> serial-getty@$TTY.service

(or something like that)

Depending on which unit systemd kills to resolve the cycle, this can result in cloud-init never completing which leads to the subiquity server waiting forever for it and nothing useful can be done (other than restarting and hoping for better luck next time).

Because subiquity itself waits for cloud-init (and this has been true for a long time now) there is no need for serial-getty@$TTY.service to wait on cloud-final.service.

[regression potential]
This change results in shuffling the systemd units around a fair bit, but the new arrangement has been tested in devel for a few months now and works well there. It's also much more straightforward than the current setup.

[test case]
This is a bit tricky as it's an intermittent failure. Basically, boot the live installer with a serial console configured a bunch of times and (10?) check that the installer starts up properly each time.

[original description]
From time to time (sporadically and very rarely - maybe in one or two attempt out of twenty) I face a situation where the installer system (on s390x) does not boot-up completely.

This happened to me in the past already, but since it happened only one or twice I thought it's due to resource constraints on the system or so.
But since I faced it now again on LPAR (before it was on z/VM), I'm opening this ticket now.

In the latest case I used the focal daily live image from the 20th of July with installer 20.06.1 (but that also happened with previous versions).

The situation is like this:

In boot of the installer ends here (LPAR):
...
"[ 128.200711] cloud-init[1375]: The key's randomart image is:"
"[ 128.200735] cloud-init[1375]: +--[ED25519 256]--+"
"[ 128.200758] cloud-init[1375]: |o .....ooo |"
"[ 128.200781] cloud-init[1375]: |.= . . +. o. .|"
"[ 128.200804] cloud-init[1375]: |+ * . . * o.o . |"
"[ 128.200826] cloud-init[1375]: |.= o . = = = + |"
"[ 128.200849] cloud-init[1375]: |o + . S o + |"
"[ 128.200876] cloud-init[1375]: | + o = . . |"
"[ 128.200900] cloud-init[1375]: | o + . |"
"[ 128.200925] cloud-init[1375]: | o.=. E |"
"[ 128.200947] cloud-init[1375]: | .+.o+o. |"
"[ 128.200977] cloud-init[1375]: +----[SHA256]-----+"
"[ 138.898906] cloud-init[2217]: Cloud-init v. 20.2-45-g5f7825e2-0ubuntu1~20.04."
"1 running 'modules:config' at Wed, 22 Jul 2020 11:27:39 +0000. Up 138.77 seconds"
.
"[ 138.898966] cloud-init[2217]: Set the following 'random' passwords"
"[ 138.899001] cloud-init[2217]: installer:aecmewaoicnai"

or another example (z/VM):
...
¬ 93.463680| cloud-init¬1282|: +--¬ED25519 256|--+
¬ 93.463713| cloud-init¬1282|: !Eo=o .... !
¬ 93.463749| cloud-init¬1282|: !.Bo.o ... o !
¬ 93.463782| cloud-init¬1282|: !**.*... o = !
¬ 93.463818| cloud-init¬1282|: !*=O o. o . . !
¬ 93.463849| cloud-init¬1282|: !**++ S !
¬ 93.463886| cloud-init¬1282|: !§o+.. !
¬ 93.463918| cloud-init¬1282|: !+*o. !
¬ 93.463954| cloud-init¬1282|: !.o. !
¬ 93.463988| cloud-init¬1282|: !. !
¬ 93.464028| cloud-init¬1282|: +----¬SHA256|-----+
¬ 104.841438| cloud-init¬2004|: Cloud-init v. 20.2-45-g5f7825e2-0ubuntu1ß20.04.
1 running 'modules:config' at Mon, 20 Jul 2020 10:46:38 +0000. Up 104.63 seconds
.
¬ 104.841490| cloud-init¬2004|: Set the following 'random' passwords
¬ 104.841516| cloud-init¬2004|: installer:U9NJDuvXFw6X2fxG7pP8

But it is not complete at this point.
A completed boot of the installer system ends like this:

"It is possible to connect to the installer over the network, which"
"might allow the use of a more capable terminal and can offer more languages"
"than can be rendered in the Linux console."

"To connect, SSH to installer@<IP address>."

"The password you should use is "ydnjdnciu"kZ4tR4vRvPxHPerCNU8g""."

"The host key fingerprints are:"

"RSA SHA256:n+6TJsfdCBII2PO89GMU10mG1oFvEIFBT2v6uPN0Jz0"
"ECDSA SHA256:VcDS5ac8xswXxFEghjo1ZIcue38AM6HJg0poIxdeeec"
"ED25519 SHA256:lb/DVVhj1obDPhfo3M8oPqeAyduvlLcPFJCC8ZaiCJY"

"Ubuntu 20.04 LTS ubuntu-server sclp_line0"

In such an above situation I also can't reach the subiquity UI:

fheimes@T570:~$ ssh-keygen -f "/home/fheimes/.ssh/known_hosts" -R s1lp14
# Host s1lp14 found: line 165
/home/fheimes/.ssh/known_hosts updated.
Original contents retained as /home/fheimes/.ssh/known_hosts.old
fheimes@T570:~$ ssh installer@s1lp14
The authenticity of host 's1lp14 (10.245.236.14)' can't be established.
ECDSA key fingerprint is SHA256:AoYrJhWOFaaEtUun/aZAT8/VgNP+yq//Jhg7vzUwvxE.
Are you sure you want to continue connecting (yes/no/[fingerprint])? yes
Warning: Permanently added 's1lp14,10.245.236.14' (ECDSA) to the list of known hosts.
installer@s1lp14's password:
Welcome to Ubuntu 20.04 LTS (GNU/Linux 5.4.0-40-generic s390x)

 * Documentation: https://help.ubuntu.com
 * Management: https://landscape.canonical.com
 * Support: https://ubuntu.com/advantage

  System information as of Wed Jul 22 11:28:32 UTC 2020

  System load: 0.44 Memory usage: 4% Processes: 180
  Usage of /home: unknown Swap usage: 0% Users logged in: 0

0 updates can be installed immediately.
0 of these updates are security updates.

The programs included with the Ubuntu system are free software;
the exact distribution terms for each program are described in the
individual files in /usr/share/doc/*/copyright.

Ubuntu comes with ABSOLUTELY NO WARRANTY, to the extent permitted by
applicable law.

Hence even gathering the logs is unfortunately not easily possible.

Related branches

Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
assignee: nobody → Canonical Foundations Team (canonical-foundations)
summary: - Sporadically the installer system does not boot-up completely
+ Sporadically the installer system does not boot-up completely (or
+ doesn't start all services)
Revision history for this message
Frank Heimes (fheimes) wrote : Re: Sporadically the installer system does not boot-up completely (or doesn't start all services)

Just happened again on z/VM using the image suggested to test by QA Tracker from July 23rd.

Starting the installation a second time worked - means the installer booted to the end.

Revision history for this message
Frank Heimes (fheimes) wrote :

Happened again - and the subsequent boot of the installation system worked:

Ý 143.093052¨ cloud-initÝ1848¨: Cloud-init v. 20.2-45-g5f7825e2-0ubuntu1~20.04.
1 finished at Tue, 28 Jul 2020 07:39:06 +0000. Datasource DataSourceNoCloud Ýsee
d=/var/lib/cloud/seed/nocloud¨Ýdsmode=net¨. Up 143.08 seconds
Ý 143.093125¨ cloud-initÝ1848¨: Welcome to Ubuntu Server Installer!
Ý 143.093195¨ cloud-initÝ1848¨: Above you will find SSH host keys and a random
password set for the `installer` user. You can use these credentials to ssh-in a
nd complete the installation. If you provided SSH keys in the cloud-init datasou
rce, they were also provisioned to the installer user.
Ý 143.093266¨ cloud-initÝ1848¨: If you have access to the graphical console, li
ke TTY1 or HMC ASCII terminal you can complete the installation there too.
Ý Ý0;32m OK Ý0m¨ Finished Ý0;1;39mExecute cloud user/final scripts Ý0m.
Ý Ý0;32m OK Ý0m¨ Reached target Ý0;1;39mCloud-init target Ý0m.
Ý Ý0;32m OK Ý0m¨ Started Ý0;1;39mSubiquity, the installer for Ubuntu Server
hvc0 Ý0m.
Ý Ý0;32m OK Ý0m¨ Started Ý0;1;39mSubiquity, the ins er for Ubuntu Server t
tysclp0 Ý0m.

__________

                                                            RUNNING S1LP1

    installer@2001:67c:1562:8123:28:ape:febo:57

The password you should use is "ubiewaucea85caewfD9Gz".

The host key fingerprints are:

    RSA SHA256:7uCeAsNT+tqqAGk4ZUYz7q9ueryspWr5mexIhLMYGL4
    ECDSA SHA256:3ErMImVSuGrMuqwKN1X0ZyYO8Xz+CeW7JLXs6r484uE
    ED25519 SHA256:2HWOlacLccunLeXGXqHoIICTxs1o+cLYdiCVhC0z21M

Ubuntu 20.04.1 LTS ubuntu-server ttyS0

ubuntu-server login:

                                                            RUNNING S1LP1

Wondering if the z/VM guest runs out of RAM - it only has 2GB RAM.
Will try on larger guests and see if I will notice a difference ...

Revision history for this message
Patricia Domingues (patriciasd) wrote :

I had the same issue trying to install focal on a z/VM guest with 4GB RAM.

Revision history for this message
Michael Hudson-Doyle (mwhudson) wrote :

Well this sounds fun to debug :( I guess you could hack the shell of the default_user in /etc/cloud/cloud.cfg in the installer.squashfs to be /bin/bash and then ssh-ing in should work?

Revision history for this message
Frank Heimes (fheimes) wrote :

I just noticed the entry "Do not start the service when installed in a non-installer environment" in the latest release notes (https://github.com/CanonicalLtd/subiquity/releases/tag/20.07.1)
This 'sounds' like it could have anything to do with this issue ...

Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
importance: Undecided → High
Revision history for this message
Michael Hudson-Doyle (mwhudson) wrote :

> I just noticed the entry "Do not start the service when installed in a non-installer environment" in the latest release notes (https://github.com/CanonicalLtd/subiquity/releases/tag/20.07.1)
> This 'sounds' like it could have anything to do with this issue ...

You were reporting this issue well before that got released to stable, so I really hope not.

Revision history for this message
Frank Heimes (fheimes) wrote :
Download full text (3.9 KiB)

I faced a situation where the console output was obviously not complete:

----------%<-------------------%<-------------------%<-------------------%<-----------
...
1 running 'modules:config' at Mon, 07 Dec 2020 17:56:42 +0000. Up 151.67 seconds
.
Ý 151.801402¨ cloud-initÝ2068¨: Set the following 'random' passwords
Ý 151.801442¨ cloud-initÝ2068¨: installer:qDWRj7PSNdDRHa5Hgx2C
Ý Ý0;32m OK Ý0m¨ Finished Ý0;1;39mApply the settings specified in cloud-conf
ig Ý0m.
         Starting Ý0;1;39mExecute cloud user/final scripts Ý0m...
ci-info: no authorized SSH keys fingerprints found for user installer.
<14>Dec 7 17:56:43 ec2:
<14>Dec 7 17:56:43 ec2: #######################################################
######
<14>Dec 7 17:56:43 ec2: -----BEGIN SSH HOST KEY FINGERPRINTS-----
<14>Dec 7 17:56:43 ec2: 1024 SHA256:uYBjXvyrMNVmKqd7D37likufviobGlu3amJ7J2mDhOg
 root@ubuntu-server (DSA)
<14>Dec 7 17:56:43 ec2: 256 SHA256:m1EEaYG/QZt619PbuXOwjsb9aiTjKNQCGrl85S9uns0
root@ubuntu-server (ECDSA)
<14>Dec 7 17:56:43 ec2: 256 SHA256:/nWXhTHOH8rWQRVvkDUVP7f2BgLqAgRJgFSUGLKK6Eo
root@ubuntu-server (ED25519)
<14>Dec 7 17:56:43 ec2: 3072 SHA256:dXgLSm+Vjyi16l8/rXcH2j4Laujrgi8hB1wvCMyaSQE
 root@ubuntu-server (RSA)
<14>Dec 7 17:56:43 ec2: -----END SSH HOST KEY FINGERPRINTS-----
<14>Dec 7 17:56:43 ec2: ######################################################
######
-----BEGIN SSH HOST KEY KEYS-----
ecdsa-sha2-nistp256 AAAAE2VjZHNhLXNoYTItbmlzdHAyNTYAAAAIbmlzdHAyNTYAAABBBBJAvTEU
tdx9KsFYGSUIMjGsJA2yJMNQ8uctAvWMHxsZmuKDqsmXN1K4iB/A6dkKmYCUQt7IwcOjbWDCFdUhKKU=
 root@ubuntu-server
ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIBTPAeVCKbRObLBoKmkCZhrJiFriElrDNGazEpqh5Poq
 root@ubuntu-server
ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABgQC/Tirwlj7pyJvkKJcmLlP8KkPB+i9xBgcHUB093+9O
LeJJsh/VQfsXOlqNTGO0TEcO2t9eEuO9kq8hnw09R35vFLBFsyQWaGPGOOB31TBfYUhSMGjh9XZrmMc0
wG1Iw07W2F6pN4f9a89maTjlhbgqQq+tkQMumyxj4VmvJTUBTxROiiQ90Ms5M24ShPb+a2lwe40toIh0
TGATxitt62pxqZcJMbzO+OJpnJQPs6o79nczIL54zWkI818yzsara1xiYmo/FuU2T2tr6bFUIr/02PKW
zlTDpgreQXQ9UfoNRhUKKKAqgSZHMIS5jBUqj619e6HZ6kAM5fmfFRf7ZyP4nW/7ZwXfO9nHv9hJnhIO
6UAvvUFijPelIoWLilkX/S3FZv9mEs1muv8+ikKPhuL6GxgEMvGPweZzf6YkWbPGjOez5B0PWXFTRw0j
4lidShONuGn4utwuha6dJ226ym8jCxh4PMom1MChk8cFMmjY/GDxNYjSQlj/EopTfZ1vkZc= root@ub
untu-server
-----END SSH HOST KEY KEYS-----
Ý 152.164420¨ cloud-initÝ2084¨: Cloud-init v. 20.2-45-g5f7825e2-0ubuntu1~20.04.
1 running 'modules:final' at Mon, 07 Dec 2020 17:56:43 +0000. Up 152.08 seconds.

Ý 152.164507¨ cloud-initÝ2084¨: ci-info: no authorized SSH keys fingerprints fo
und for user installer.
Ý 152.164548¨ cloud-initÝ2084¨: Cloud-init v. 20.2-45-g5f7825e2-0ubuntu1~20.04
1 finished at Mon, 07 Dec 2020 17:56:43 +0000. Datasource DataSourceNoCloud Ýsee
d=/var/lib/cloud/seed/nocloud¨Ýdsmode=net¨. Up 152.16 seconds
Ý 152.164593¨ cloud-initÝ2084¨: Welcome to Ubuntu Server Installer!
Ý 152.164631¨ cloud-initÝ2084¨: Above you will find SSH host keys and a random
password set for the `installer` user. You can use these credentials to ssh-in a
nd complete the installation. If you provided SSH keys in the cloud-init datasou
rce, they were also provisioned to the installer user.
Ý 152.164675¨ cloud-initÝ2084¨: If you h...

Read more...

Revision history for this message
Michael Hudson-Doyle (mwhudson) wrote :

I've just landed a change which will instead of waiting forever for cloud-init to complete, will wait for 10 minutes. Which should at least let us have some hope of figuring out what is stuck.

Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
status: New → In Progress
Revision history for this message
Frank Heimes (fheimes) wrote :

With all testing that was done with in preparation for:
https://github.com/CanonicalLtd/subiquity/releases/tag/21.01.1
(means based on edge and candidate)
I didn't ran into this issue anymore.
I even do not see a potential timeout happening for 10 mins (which is good).
I suspect this was solved by the client/server split?!

Hence I'm closing this ticket.

Changed in subiquity:
status: New → Fix Released
Changed in ubuntu-z-systems:
status: In Progress → Fix Released
Revision history for this message
Michael Hudson-Doyle (mwhudson) wrote :

I don't really see why that would have helped but happy this seems to have stopped being a problem!

Revision history for this message
Frank Heimes (fheimes) wrote :

Well, the only thing I can tell is what I noticed - and it just didn't happened anymore in the last weeks.
Could be of course only by coincidence ...

Revision history for this message
Frank Heimes (fheimes) wrote :

Started to happen again that I don't get the temp. install password all the time.

Changed in subiquity:
status: Fix Released → New
Changed in ubuntu-z-systems:
status: Fix Released → New
Revision history for this message
Frank Heimes (fheimes) wrote :

Just happened to me again on a LPAR install.
Sharing what I see at the console (Operating Systems Messages) - at the integrated ASCII console I can only see the "spinning wheel" ...

Revision history for this message
Frank Heimes (fheimes) wrote :

and a z/VM install case:
...
Ý Ý0;32m OK Ý0m¨ Started Ý0;1;39mService for snap a on subiquity.subiquity
-server Ý0m.
Ý Ý0;32m OK Ý0m¨ Started Ý0;1;39mService for snap a n subiquity.subiquity-
service Ý0m.
Ý Ý0m Ý0;31m* Ý0m¨ (1 of 2) A start job is running for d is fully seeded
(16s / no limit)
 M ÝKÝ Ý0;1;31m* Ý0m Ý0;31m* Ý0m¨ (1 of 2) A start job is running for d i
s fully seeded (17s / no limit)
 M ÝKÝ Ý0;31m* Ý0;1;31m* Ý0m Ý0;31m* Ý0m¨ (1 of 2) A start job is running fo
r d is fully seeded (17s / no limit)
 M ÝKÝ Ý0;32m OK Ý0m¨ Finished Ý0;1;39mWait until snapd is fully seeded Ý0m
.
 ÝK Starting Ý0;1;39mApply the settings specified in cloud-config Ý0m..
.
Ý Ý0;32m OK Ý0m¨ Started Ý0;1;39mSerial Getty on ttyS0 Ý0m.
Ý Ý0;32m OK Ý0m¨ Reached target Ý0;1;39mLogin Prompts Ý0m.
Ý Ý0;32m OK Ý0m¨ Started Ý0;1;39mSubiquity, the installer for Ubuntu Server
hvc0 Ý0m.
Ý Ý0;32m OK Ý0m¨ Started Ý0;1;39mSubiquity, the ins er for Ubuntu Server t
tysclp0 Ý0m.
connecting... -
waiting for cloud-init... - \ | / - \ | / - \ | / - \ | / - \ | / - \ | / - \

Frank Heimes (fheimes)
summary: - Sporadically the installer system does not boot-up completely (or
- doesn't start all services)
+ Booting the install system does not always succeed, hence a remote ssh
+ login is not always possible
Revision history for this message
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1888497

tags: added: iso-testing
Revision history for this message
Frank Heimes (fheimes) wrote :

I just gathered the boot log of one and the same (LPAR) system within a few minutes - once the tmp install pw was not provided and once it was there.
Comparing the logs might help to identify what's missing or what might broke ...

Revision history for this message
Frank Heimes (fheimes) wrote :
Changed in subiquity:
status: New → In Progress
Changed in ubuntu-z-systems:
status: New → In Progress
Revision history for this message
Michael Hudson-Doyle (mwhudson) wrote :

I think this has been fixed in impish dailies for a while now, but don't know how to confirm this!

Changed in subiquity:
status: In Progress → Invalid
Changed in livecd-rootfs (Ubuntu):
status: New → Fix Released
description: updated
Changed in livecd-rootfs (Ubuntu Focal):
status: New → In Progress
Revision history for this message
Brian Murray (brian-murray) wrote : Please test proposed package

Hello Frank, or anyone else affected,

Accepted livecd-rootfs into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/livecd-rootfs/2.664.26 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in livecd-rootfs (Ubuntu Focal):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-focal
Revision history for this message
Brian Murray (brian-murray) wrote :

Hello Frank, or anyone else affected,

Accepted livecd-rootfs into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/livecd-rootfs/2.664.27 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Revision history for this message
Łukasz Zemczak (sil2100) wrote :

As requested, I ran a server-live build with proposed enabled:

http://cdimage.ubuntu.com/ubuntu-server/focal/daily-live/20210805.1/

Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
status: In Progress → Fix Committed
Revision history for this message
Frank Heimes (fheimes) wrote :

I tested the updated livecd-rootfs that is part of the new live-server image that Łukasz created:
http://cdimage.ubuntu.com/ubuntu-server/focal/daily-live/20210805.1/
and did a couple of installations (mainly LPAR, but DASD and FCP) and so far the boot-up of the installer always succeeded, and the remote ssh login was always possible.
So I consider this now as successfully verified and think that we can close this ticket.

tags: added: verification-done-focal
removed: verification-needed verification-needed-focal
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package livecd-rootfs - 2.664.27

---------------
livecd-rootfs (2.664.27) focal; urgency=medium

  * And whoops, we missed adding ARCH in the SUBARCH ubuntu-image handling for
    intel-iot.

livecd-rootfs (2.664.26) focal; urgency=medium

  * Revert previous change of fixing /dev sharing - this causes weird
    autopkgtest issues.

livecd-rootfs (2.664.25) focal; urgency=medium

  [ Brian Murray ]
  * Add support for creating images (ubuntu-core and classic) with a kernel
    optimized for Intel IoT devices. (LP: #1938338)

  [ Michael Hudson-Doyle ]
  * Simplify how the subiquity client is run on the serial console in the live
    server environment, breaking a unit cycle that sometimes prevents
    subiquity from starting up at all. (LP: #1888497)
  * Do not set the password for the installer user via cloud-init as subiquity
    can now do this itself. (LP: #1933523)

  [ Łukasz 'sil2100' Zemczak ]
  * Fix sharing of the /dev tree to make sure we can safely umount the chroot
    when needed. This fixes local non-livefs-builder image builds.
    (LP: #1938414)

 -- Łukasz 'sil2100' Zemczak <email address hidden> Wed, 04 Aug 2021 17:32:37 +0200

Changed in livecd-rootfs (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Łukasz Zemczak (sil2100) wrote : Update Released

The verification of the Stable Release Update for livecd-rootfs has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers